package javaee6.tools;

import java.io.Serializable;

import javax.ejb.Schedule;
import javax.ejb.Singleton;
import javax.ejb.Resource;
import javax.ejb.Timeout;
import javax.ejb.TimerService;
import javax.inject.Inject;
import javax.xml.bind.Unmarshaller;

@Singleton
public class Test implements Serializable {

    private static final long serialVersionUID = -254310325908151372L;

	@Resource
    TimerService              timerService;

    public void init() {
        System.out.println("init()");
        timerService.createTimer(0, 10000, null);
    }

    @Schedule(second = "*/5", minute = "*", hour = "*")
    void schedule() {
        System.out.println("schedule()");
    }

	@Timeout
    public void timeOut() {
        System.out.println("timeOut()");
    }
}
